#include <bits/stdc++.h>

using namespace std;

int n;

bool kt(int x) {
    int t = static_cast<int>(sqrt(x));
    for (int i = 2; i <= t; ++i) {
        if (x % i == 0) return false;
    }
    return true;
}

void process() {
    int sl = 0;
    for (int i = 2; i <= n; ++i) {
        if (kt(i)) {
            int k = i;
            while (k <= n) {
                ++sl;
                k *= i;
            }
        }
    }
    cout << sl << endl;
}

int main() {
    cin >> n;
    process();
    return 0;
}
